# MIT License
# 
# Copyright (c) 2017 Dan Persons <dpersonsdev@gmail.com>
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


class LogEntry:
    def __init__(self):
        """Initialize a log entry"""
        self.date_stamp = None
        self.date_stamp_year = None
        self.raw_text = ""
        self.source_full_path = ""
        self.source_host = ""
        self.source_process = ""

class LogData:
    def __init__(self):
        """Initialize parsing for a log file"""
        self.lines = []
        self.entries = []
        self.source_full_path = ""
        self.source_file = ""
        self.source_file_mtime = None
        self.parser = 'syslog' # To Do
        
class LogDataSet:
    def __init__(self):
        """Initialize data set for multiple parsed logs"""
        self.data_set = []
        self.finalized_data = LogData()
        # To Do: set creation date to runtime
        self.creation_date = None
    
